de.esprit.appsuite.database.dbase.rdbms

## Class RdbmsInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.rdbms.RdbmsInfo

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class RdbmsInfo
      extends TransferableObject

  This class is a cache for the most frequently used database meta data
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RdbmsInfo(java.sql.Connection dbConn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabaseName()`
    `java.lang.String` | `getDatabaseProductName()`
    `java.lang.String` | `getDatabaseProductVersion()`
    `java.lang.String` | `getDriverName()`
    `java.lang.String` | `getDriverVersion()`
    `javax.swing.Icon` | `getRdbmsIcon()`
    `java.lang.String` | `getRdbmsType()`
    `java.lang.String` | `getURL()`
    `java.lang.String` | `getUserName()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RdbmsInfo

          public RdbmsInfo(java.sql.Connection dbConn)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getDatabaseProductName

          public java.lang.String getDatabaseProductName()

    - #### getDatabaseProductVersion

          public java.lang.String getDatabaseProductVersion()

    - #### getURL

          public java.lang.String getURL()

    - #### getUserName

          public java.lang.String getUserName()

    - #### getDriverName

          public java.lang.String getDriverName()

    - #### getDriverVersion

          public java.lang.String getDriverVersion()

    - #### getDatabaseName

          public java.lang.String getDatabaseName()

    - #### getRdbmsType

          public java.lang.String getRdbmsType()

    - #### getRdbmsIcon

          public javax.swing.Icon getRdbmsIcon()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.